package com.gic;


import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.cloud.data.hook.api.dto.FilterQueryDataDTO;
import com.gic.cloud.data.hook.service.dao.DhFlatQueryFilterMapper;
import com.gic.cloud.data.hook.service.deal.BaseQueryFilter;
import com.gic.cloud.data.hook.service.deal.QueryFilterContext;
import com.gic.cloud.data.hook.service.deal.QueryFilterFactory;
import com.gic.cloud.data.hook.service.entity.DhFlatQueryFilter;
import com.gic.cloud.data.hook.service.entity.QueryFilterInfo;
import com.gic.commons.util.EntityUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath*:applicationContext-conf.xml"})
public class QueryFilterTest {

    @Autowired
    private QueryFilterFactory queryFilterFactory;

    @Autowired
    private DhFlatQueryFilterMapper dhFlatQueryFilterMapper;

    @Test
    public void test(){
        QueryFilterContext queryFilterContext = new QueryFilterContext();
        DhFlatQueryFilter dhFlatQueryFilter = dhFlatQueryFilterMapper.selectByPrimaryKey(1L);
        if (null  == dhFlatQueryFilter) {
            return;
        }
        QueryFilterInfo queryFilterInfo = EntityUtil.changeEntityByJSON(QueryFilterInfo.class, dhFlatQueryFilter);
        queryFilterContext.setQueryFilterInfo(queryFilterInfo);
        queryFilterContext.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        queryFilterContext.setSearch("测试");
        BaseQueryFilter instance = queryFilterFactory.getInstance(queryFilterContext);
        Page<FilterQueryDataDTO> filterQueryDataDTOPage = instance.pageQueryData(queryFilterContext);

        System.out.println(JSONObject.toJSONString(filterQueryDataDTOPage));
    }
}
